Bug 840628 - ovirt-engine-backend: Engine passes wrong params to vdsm when exporting a thin disk and converting to preallocated, leaving disk thinly provisioned
ovirt-engine-backend: Engine passes wrong params to vdsm when exporting a thi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.1.0
Assigned To: Gilad Chaplik
Dafna Ron
storage
: Regression, Reopened
Depends On: 800424
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 13:58 EDT by Dafna Ron
Modified: 2016-02-10 12:09 EST (History)
11 users (show)

See Also:
Fixed In Version: SI17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 05:37:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (322.96 KB, application/x-xz)
2012-07-16 13:59 EDT, Dafna Ron
no flags Details
logs (502.07 KB, application/x-gzip)
2012-08-12 11:42 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-07-16 13:58:53 EDT
Description of problem:

I tried to convert a vm's disk from thinprovision to preallocated and the the disk remains as thinprovision. 
looking at the backend log we send the image with COW preallocated which leaves disk as thinprovision (preallocated disk type is sent with RAW preallocated). 


Version-Release number of selected component (if applicable):

si10

How reproducible:

100%

Steps to Reproduce:
1. import a thinprovision disk with collapse snapshots and select to change the disk type to preallocated
2.
3.
  
Actual results:

disk is not converted from thinprovision to preallocated

Expected results:

disk should be converted from thinprovision to preallocated

Additional info:engine log

2012-07-16 20:52:26,415 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (pool-4-thread-48) [162a5da6] START, CopyImageVDSCommand(storagePoolId = de4388ec-3
973-4015-bd5e-15b346dec7f1, ignoreFailoverLimit = false, compatabilityVersion = 3.1, storageDomainId = 1c4b81c0-bc2b-4b57-9341-5179ee848abd, imageGroupId = e383d7f0-bac1-4948-ae
14-a9d0e6465413, imageId = f569d881-1d6d-4c46-b3a7-991be7e3ec17, dstImageGroupId = e383d7f0-bac1-4948-ae14-a9d0e6465413, vmId = b6f3bedd-14f7-46b0-adf4-25b27fae2658, dstImageId 
= f569d881-1d6d-4c46-b3a7-991be7e3ec17, imageDescription = , dstStorageDomainId = 395bff6c-330a-423e-a84b-f8e533a03d0e, copyVolumeType = LeafVol, volumeFormat = COW, preallocate
 = Sparse, postZero = false, force = true), log id: 304eb092
2012-07-16 20:52:26,435 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp-/0.0.0.0:8009-2) FINISH, GetVmsInfoVDSCommand, log id: 3f0d6f0d
2012-07-16 20:52:26,435 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (pool-4-thread-48) [162a5da6] -- CopyImageVDSCommand::ExecuteIrsBrokerCommand: call
ing 'copyImage' with two new parameters: description and UUID
2012-07-16 20:52:26,435 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (pool-4-thread-48) [162a5da6] -- copyImage parameters:
                sdUUID=1c4b81c0-bc2b-4b57-9341-5179ee848abd
                spUUID=de4388ec-3973-4015-bd5e-15b346dec7f1
                vmGUID=b6f3bedd-14f7-46b0-adf4-25b27fae2658
                srcImageGUID=e383d7f0-bac1-4948-ae14-a9d0e6465413
                srcVolUUID=f569d881-1d6d-4c46-b3a7-991be7e3ec17
                dstImageGUID=e383d7f0-bac1-4948-ae14-a9d0e6465413
                dstVolUUID=f569d881-1d6d-4c46-b3a7-991be7e3ec17
                descr=
Comment 1 Dafna Ron 2012-07-16 13:59:20 EDT
Created attachment 598512 [details]
log
Comment 3 Ayal Baron 2012-07-29 11:28:11 EDT
Please attach vdsm log to see what command was actually executed
Comment 4 Dafna Ron 2012-07-31 07:58:38 EDT
this is backend bug
the params are already wrong when they are sent to vdsm: 

volumeFormat = COW, preallocate

at your request I am changing the headline.
Comment 5 Ayal Baron 2012-08-01 09:55:16 EDT
(In reply to comment #4)
> this is backend bug
> the params are already wrong when they are sent to vdsm: 
> 
> volumeFormat = COW, preallocate
> 
> at your request I am changing the headline.

but you say it's 'preallocate' so again, I don't understand.
Please provide vdsm log so I can properly see the vdsm command that was issued.
Comment 6 Dafna Ron 2012-08-12 11:42:12 EDT
Created attachment 603797 [details]
logs
Comment 7 Dafna Ron 2012-08-12 11:45:13 EDT
logs added
Comment 8 Greg Padgett 2012-08-23 17:09:44 EDT
Gilad is working on a patch which resolves this issue, for bug 800424 (thus passing this bug over to him).
Comment 9 Gilad Chaplik 2012-08-26 04:42:44 EDT
pushed upstream (http://gerrit.ovirt.org/#/c/7313/)
Comment 11 Dafna Ron 2012-09-09 05:04:11 EDT
verified on si17

Note You need to log in before you can comment on or make changes to this bug.